
<div *ngIf="loaded" class="container">
  <div class="card-course">
  <mat-card>
    <mat-card-title class="header">{{course.name}}</mat-card-title>
    <mat-card-subtitle class="header">{{course.category}} - {{course.level}}</mat-card-subtitle>
    <mat-card-content>
      <a href="https://imgbb.com/"><img src= {{teacher.picture}} alt="avatar" border="0" /></a>
         <h5>{{teacher.first_name}} {{teacher.last_name}}</h5>
         <h6>{{course.description}}</h6> 
         <h5>{{teacher.phone}}</h5> 
         <h5>{{teacher.email}}</h5> 
         <h5>{{teacher.city}}</h5> 
         <h5 >{{course.score}}</h5>
    </mat-card-content>
    <mat-card-actions>
      <button *ngIf="!sentRequest; else noReq" id="enroll-button" (click)="sendRequest()" > Upisi se</button>
    </mat-card-actions>  

    <ng-template #noReq>
      <p *ngIf="pending">Zahtev je vec poslat. Ceka se na odgovor profesora</p>
      <p *ngIf="success" class="success"> Zahtev uspešno poslat </p>
      <p *ngIf="(!success && !pending)" class="fail"> Došlo je do greške </p>

    </ng-template>
  </mat-card></div>
</div>
<!-- <ng-template #noLectures>
  <p>Nazalost ovaj kurs nema i dalje casova</p>
</ng-template> -->







